Subject: bug#36525: M-x default when cursor on top of a M-x command in INFO

From: Drew Adams <[email-masked]>
Date: Mon, 8 Jul 2019 14:37:14 -0700 (PDT)

> > I will point out that `M-.' is a repeatable
> > key.  And a repeatable key is good for a
> > command that is repeatable, such as doing
> > something to/with consecutive bits of text
> > (e.g. "things") from a buffer.
> 
> A keybinding doesn't need to be a single key
> to be repeatable.  ‘C-x e e e’ is repeatable.

Agreed 100%.  In general, I put most of my
repeatable keys on a prefix key.

I don't argue that a key sequence to grab
stuff from the buffer and insert it into the
minibuffer needs to be a single key.

I do think that a repeatable key sequence,
especially one that is a single key (such as
`M-.') should generally not be wasted on a
non-repeatable command (such as, presumably,
`xref-find-definitions').

Such a general rule (in my mind) can have
exceptions, of course, and there's no urgency to
try to rebind all such non-repeatable commands,
to liberate their keys for repeatable commands.